Bug 43705 - gcc-2.96-85 crash building bind-9.1.3-0.rc1.3
Summary: gcc-2.96-85 crash building bind-9.1.3-0.rc1.3
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: sparc64 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-06 18:06 UTC by Horst H. von Brand
Modified: 2007-04-18 16:33 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-01 22:26:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed file, junk deleted (38.47 KB, text/plain)
2001-06-06 18:07 UTC, Horst H. von Brand
no flags Details

Description Horst H. von Brand 2001-06-06 18:06:00 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.5-ac8 i686)

Description of problem:
gcc runs for a _long_ time compiling lib/isc/sha1.c for PIC, then crashes
with:

gcc: Internal error: Terminated (program cc1)  

How reproducible:
Always

Steps to Reproduce:
1.gcc -O2 -fomit-frame-pointer -fPIC sha1.i
2.
3.
	

Actual Results:  Compiler crash

Expected Results:  No compiler crash ;-)

Additional info:

Sun Ultra 1; rawhide + updates (from SRPMS and elsewhere); kernel 2.4.5pre3
from CVS; binutils-2.11.90.0.7-1 from sources; gcccc-2.96-85 built from
SRPM

Comment 1 Horst H. von Brand 2001-06-06 18:07:25 UTC
Created attachment 20452 [details]
Preprocessed file, junk deleted

Comment 2 Richard Henderson 2004-10-01 22:26:12 UTC
Fixed at least in 3.3.4 20040326, where compilation takes 0.66 seconds.


Note You need to log in before you can comment on or make changes to this bug.